%define ALSA2 1

Name: libao
Version: 0.8.3
Release: alt2

Summary: Cross Platform Audio Output Library
Summary(ru_RU.CP1251):     .
License: GPL
Group: System/Libraries
Url: http://www.vorbis.com
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source:	http://fatpipe.vorbis.com/files/1.0/unix/%name-%version.tar.bz2

Requires: esound >= 0.2.8
BuildPreReq: esound-devel >= 0.2.8

# Automatically added by buildreq on Wed Nov 13 2002
BuildRequires: esound-devel libarts-devel libaudiofile-devel

%if %ALSA2
BuildRequires: libalsa2-devel
%else
BuildRequires: libalsa-devel
%endif

%description
Libao is a cross platform audio output library.
It currently supports ESD, OSS, ALSA, ARTS, Solaris, and IRIX.

%description -l ru_RU.CP1251
Libao -      .
    OSS, ALSA, ESD  ARTS. 

%package devel
Summary: Development files for libao
Summary(ru_RU.CP1251):   ,  %name
Group: Development/C
PreReq: %name = %version-%release

%description devel
The libao-devel package contains the header files and documentation
needed to develop applications with libao.

%description devel -l ru_RU.CP1251
    ,    libao
  .

%package devel-static
Summary: Static libraries for libao
Summary(ru_RU.CP1251):    %name 
Group: Development/C
PreReq: %name-devel = %version-%release

%description devel-static
This package contains development libraries required for packaging
statically linked libao-based software.

%description devel-static -l ru_RU.CP1251
     , 
  libao    .

%prep
%setup -q

%build
%if ALSA2
%configure --enable-static --enable-esd --enable-arts --enable-alsa09
%else
%configure --enable-static --enable-esd --enable-arts --enable-alsa
%endif

%make

%install
%make "DESTDIR=%buildroot" install
%__install -p -m644 AUTHORS CHANGES README TODO %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_docdir/%name-%version/HTML
%__mv %buildroot%_docdir/%name-%version/{*.html,*.css,*.c} %buildroot%_docdir/%name-%version/HTML

# creating config
%__mkdir_p %buildroot%_sysconfdir
%__cat <<__CONFIG__ >%buildroot%_sysconfdir/%name.conf
# possible values for "default_driver" are: oss, alsa, esd, arts. 
# Warning: some apps may crash with segfaults using arts output.
default_driver=oss
__CONFIG__

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*
%_mandir/man?/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/AUTHORS
%_docdir/%name-%version/README
%dir %_libdir/ao/plugins-2
%_libdir/ao/plugins-2/*.so
%config %_sysconfdir/%name.conf

%files devel
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_libdir/ao/plugins-2/*.la
%_datadir/aclocal/*
%_docdir/%name-%version/HTML
%_docdir/%name-%version/CHANGES
%_docdir/%name-%version/TODO

%files devel-static
%_libdir/*.a
%_libdir/ao/plugins-2/*.a

%changelog
* Wed Nov 13 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt2
- rebuilt with gcc3.2.

* Mon Jul 22 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Thu May 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.2-alt3
- alsa2 by default now.

* Fri Jan 4 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt2
- added option for building with alsa or alsa2.

* Thu Jan 3 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt1
- 0.8.2
- some updates.

* Tue Jan 1 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt4
- really built with alsa and arts support (see buildreq).
- /etc/libao.conf created.
- all *.la moved in devel package, html documentation separated.
- russian summary added for all packages.
- other spec cleanups.

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.8.0-alt2
- Relocated documentation, a bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 0.8.0-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sun Sep 03 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.
